AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- StorageProvider

## Index

### Methods

- configure
- get
- getCategory
- getProviderName
- list
- put
- remove

## Methods

### configure

- configure(config: object): object

- - Defined in storage/src/types/Provider.ts:17

  #### Parameters

  - ##### config: object

  #### Returns object

### get

- get(key: string, options?: any): Promise<String | Object>

- - Defined in storage/src/types/Provider.ts:20

  #### Parameters

  - ##### key: string

  - ##### Optional options: any

  #### Returns Promise<String | Object>

### getCategory

- getCategory(): string

- - Defined in storage/src/types/Provider.ts:32

  #### Returns string

### getProviderName

- getProviderName(): string

- - Defined in storage/src/types/Provider.ts:35

  #### Returns string

### list

- list(path: any, options?: any): Promise<any>

- - Defined in storage/src/types/Provider.ts:29

  #### Parameters

  - ##### path: any

  - ##### Optional options: any

  #### Returns Promise<any>

### put

- put(key: string, object: any, options?: any): Promise<Object>

- - Defined in storage/src/types/Provider.ts:23

  #### Parameters

  - ##### key: string

  - ##### object: any

  - ##### Optional options: any

  #### Returns Promise<Object>

### remove

- remove(key: string, options?: any): Promise<any>

- - Defined in storage/src/types/Provider.ts:26

  #### Parameters

  - ##### key: string

  - ##### Optional options: any

  #### Returns Promise<any>